Subject: Re: Possible bash bug?
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 15 Mar 2000 08:49:27 -0500

On Wed, Mar 15, 2000 at 03:07:21PM +0900, [email-masked] wrote:
>Apologies if this is a known issue; I'm not in a position
>to check the archives at the moment. (Actually, could some kind soul
>forward me some instructions on how to subscribe to this list? I'm
>on email-access-only at the moment. :( )

???  The web page for the project is:

http://sourceware.cygnus.com/cygwin/

>Using the current development snapshot I compiled up Perl
>5.6.0 RC1 without any problems. However, I'm having problems
>with a very simple line of Perl:
>
>perl -le 'print q/foo/ if -t STDIN'
>
>(Print foo if STDIN is connected to a terminal.)
>
>Running this on bash 2.03, I got the following: (after a long
>delay)
>
>$ perl -le 'print q/foo/ if -t STDIN'
>foo
>205865942 [main] bash 9025 sig_send: wait for sig_complete event failed,
>sig
>-2, rc 258, Win32 error 0
>
>Running under strace and/or zsh, the problem went away.
>Any ideas on how to fix this?

Could you send a cygcheck -r -s -v?  This error is a cygwin DLL error.
I assume that when you say "current development snapshot" you're referring
to the 2000-Mar-14 version.

I can't duplicate this with my version of perl and my version of bash
but I'm not running 5.6.0.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]